RUSERS(1C)

NAME
rusers - who's logged in on local machines (RPC version)

SYNOPSIS
rusers [ -a ] [ -h ] [ -i ] [ -l ] [ -u ] [ host ... ]

DESCRIPTION
The rusers command produces output similar to users(1) and who(1), but for remote machines. It broadcasts on the local network, and prints the responses it receives. Normally, the listing is in the order that responses are received, but this order can be changed by specifying one of the options listed below. When host arguments are given, rather than broadcasting rusers will only query the list of specified hosts.

The default is to print out a listing in the style of users(1) with one line per machine. When the -l flag is given, a rwho(1) style listing is used. In addition, if a user hasn't typed to the system for a minute or more, the idle time is reported.

A remote host will only respond if it is running the rusersd daemon, which is normally started up from inetd.

OPTIONS

-a  gives a report for a machine even if no users are logged on.

-h  sort alphabetically by host name.

-i  sort by idle time.

-l  Give a longer listing in the style of who(1).

-u  sort by number of users.

FILES
/etc/servers

SEE ALSO
rwho(1C), inetd(8C), rusersd(8C)

BUGS

Broadcasting does not work through gateways.